package com.bocloud.cmp.model.hmc.sdk.common;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.module.XAPISession;

/**
 * 登陆的返回结果(XML对应的Java类)
 *
 * @author sxp
 * @since May 3, 2018
 */
public class LogonResponse {
    private String xmlns;
    private Metadata metadata;
    private XAPISession session;

    public LogonResponse() {
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public XAPISession getSession() {
        return session;
    }

    public void setSession(XAPISession session) {
        this.session = session;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
